// file      : CIDLC/InterfaceEmitter.cpp
// author    : Jeff Parsons <j.parsons@vanderbilt.edu>
// cvs-id    : InterfaceEmitter.cpp,v 1.2 2006/04/21 16:29:18 wotte Exp

#include "InterfaceEmitter.hpp"

InterfaceEmitter::InterfaceEmitter (Context& c)
  : EmitterBase (c)
{
}

void
InterfaceEmitter::traverse (UnconstrainedInterface& i)
{
  if (add (i))
  {
    Traversal::UnconstrainedInterface::traverse (i);
  }
}

bool
InterfaceEmitter::add (UnconstrainedInterface& i)
{
  return interfaces_.insert (&i).second;
}

